Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZMail Class Reference
Utility classes

Mail handler. More...

## Public Member Functions
| __construct ()
| receiverEmailText ( $convert=true)
| receiverText ( $convert=true)
| ccReceiverTextList ( $convert=true)
| bccReceiverTextList ( $convert=true)
| receiverTextList ( $convert=true)
| receiverElements ()
| ccElements ()
| bccElements ()
| replyTo ( $convert=true)
| sender ( $convert=true)
| senderText ( $convert=true)
| mimeVersion ()
| contentType ()
| contentCharset ()
| contentTransferEncoding ()
| contentDisposition ()
| userAgent ( $convert=true)
| setMIMEVersion ( $version)
| setContentType ( $type=false, $charset=false, $transferEncoding=false, $disposition=false, $boundary=false)
| setUserAgent ( $agent)
| setReceiverElements ( $toElements)
| setReceiver ( $email, $name=false)
| setReceiverText ( $text)
| addReceiver ( $email, $name=false)
| setReplyTo ( $email, $name=false)
| setSender ( $email, $name=false)
| setSenderText ( $text)
| setCcElements ( $newCc)
| addCc ( $email, $name=false)
| setBccElements ( $newBcc)
| addBcc ( $email, $name=false)
| extraHeaders ()
| addExtraHeader ( $headerName, $headerValue)
| setExtraHeader ( $headerName, $headerValue)
| setExtraHeaders ( $headers)
| messageID ()
| setMessageID ( $newMessageID)
| references ()
| setReferences ( $newReference)
| subject ( $convert=true)
| setSubject ( $newSubject)
| body ( $convert=true)
| setBody ( $newBody)
| composeEmailName ( $item, $key=false, $convert=true)
| composeEmailItems ( $items, $join=true, $key=false, $convert=true)
| headers ( $parameters=array())
| headerTextList ( $parameters=array())
| headerText ( $parameters=array())
| convertHeaderText ( $text)
| encodeMimeHeader ( $str)
| convertText ( $text, $isHeader=false)
| isAllowedCharset ( $charset)
| allowedCharsets ()
| usedCharset ()
| outputCharset ()

## Static Public Member Functions
static & | splitList ( $emails)
static | validate ( $address)
static | extractEmail ( $text, &$email, &$name)
static | stripEmail ( $address)
static | blankNewlines ( $text)
static | contentString ( $content)
static | lineSeparator ()

## Public Attributes
| $References
const | REGEXP = '(((\"[^\"\f\n\r\t\v\b]+\")|([A-Za-z0-9_\!\#\$\%\&\'\*\+\-\~\/\^\`\|\{\}]+(\.[A-Za-z0-9_\!\#\$\%\&\'\*\+\-\~\/\^\`\|\{\}]+)*))@((\[(((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9])))\])|(((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9])))|((([A-Za-z0-9\-])+\.)+[A-Za-z\-]{2,})))'
| $ReceiverElements
| $From
| $CcElements
| $BccElements
| $ContentType
| $UserAgent
| $ReplyTo
| $Subject
| $BodyText
| $ExtraHeaders
| $TextCodec
| $MessageID
| $MIMEVersion
| $Mail

## Detailed Description

Mail handler.

Class for storing the details about en email and providing text serialization.

Note
  It's important to note that most methods that return values do an automatic conversion if not specified.

This class will be deprecated in the next eZ Publish release, and replaced with ezcMail from eZ Components.

The eZMail class was used like this (with old smtp class which will be removed): $mail = new eZMail(); $mail->setSender( $fromEmail, $yourName ); $mail->setReceiver( $receiversEmail, $receiversName ); $mail->setSubject( $subject );

$smtp = new smtp( $parameters ); $smtpConnected = $smtp->connect(); if ( $smtpConnected ) { $result = $smtp->send( $sendData ); }

Since the smtp class will be removed, ezcMailSmtpTransport from eZ Components can be used temporarily instead (the class eZSMTPTransport is using ezcMailSmtpTransport instead of smtp as well):

$smtp = new ezcMailSmtpTransport( $host, $username, $password, $port ); $smtp->send( $mail->Mail );

Instead of the code above, ezcMail will be used together with the SMTP transport from eZ Components (MTA transport will work as well):

$mail = new ezpMail(); $mail->from = new ezcMailAddress( $fromEmail, $yourName, $charset ); $mail->addTo( new ezcMailAddress( $receiversEmail, $receiversName, $charset ) ); $mail->subject = $subject;

$smtp = new ezcMailSmtpTransport( $host, $username, $password, $port ); $smtp->send( $mail );

Definition at line 59 of file ezmail.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMail::__construct | ( |  | ) |

Definition at line 64 of file ezmail.php.

References setContentType(), and usedCharset().

## Member Function Documentation

## ◆ addBcc()

eZMail::addBcc | ( |  | $email,
|  |  | $name = `false`
| ) |  |

Adds a new Bcc address.

Deprecated:

Definition at line 556 of file ezmail.php.

References usedCharset().

## ◆ addCc()

eZMail::addCc | ( |  | $email,
|  |  | $name = `false`
| ) |  |

Adds a new Cc address.

Deprecated:

Definition at line 528 of file ezmail.php.

References usedCharset().

## ◆ addExtraHeader()

eZMail::addExtraHeader | ( |  | $headerName,
|  |  | $headerValue
| ) |  |

Adds the headers $headerName with header value $headerValue to the extra headers.

Deprecated:

Definition at line 578 of file ezmail.php.

Referenced by setExtraHeader().

## ◆ addReceiver()

eZMail::addReceiver | ( |  | $email,
|  |  | $name = `false`
| ) |  |

Adds a new receiver address.

Deprecated:

Definition at line 463 of file ezmail.php.

References usedCharset().

## ◆ allowedCharsets()

eZMail::allowedCharsets | ( |  | ) |

Returns
  an array with charsets that can be used directly as output charsets.

Deprecated:

Definition at line 1137 of file ezmail.php.

Referenced by isAllowedCharset().

## ◆ bccElements()

eZMail::bccElements | ( |  | ) |

Returns the addresses which should get a blind carbon copy.

Deprecated:

Definition at line 218 of file ezmail.php.

References $BccElements.

## ◆ bccReceiverTextList()

eZMail::bccReceiverTextList | ( |  | $convert = `true` | ) |

Deprecated:

Definition at line 146 of file ezmail.php.

References composeEmailItems().

## ◆ blankNewlines()

static eZMail::blankNewlines | ( |  | $text | ) |
| static

Returns
  a text which does not contain newlines, newlines are converted to spaces.

Deprecated:

Definition at line 795 of file ezmail.php.

Referenced by headerText(), and headerTextList().

## ◆ body()

eZMail::body | ( |  | $convert = `true` | ) |

Returns the body.

Deprecated:

Definition at line 691 of file ezmail.php.

References $BodyText, and convertText().

Referenced by eZFileTransport\sendMail(), and eZSendmailTransport\sendMail().

## ◆ ccElements()

eZMail::ccElements | ( |  | ) |

Returns the addresses which should get a carbon copy.

Deprecated:

Definition at line 200 of file ezmail.php.

References $CcElements.

## ◆ ccReceiverTextList()

eZMail::ccReceiverTextList | ( |  | $convert = `true` | ) |

Returns the receiver cc addresses as an array with texts.

Deprecated:

Definition at line 130 of file ezmail.php.

References composeEmailItems().

## ◆ composeEmailItems()

eZMail::composeEmailItems | ( |  | $items,
|  |  | $join = `true`,
|  |  | $key = `false`,
|  |  | $convert = `true`
| ) |  |

Composes an email text out of all items in $items and returns it. All items are comma separated.

Deprecated:

Definition at line 844 of file ezmail.php.

References composeEmailName().

Referenced by bccReceiverTextList(), ccReceiverTextList(), headers(), receiverEmailText(), receiverText(), and receiverTextList().

## ◆ composeEmailName()

eZMail::composeEmailName | ( |  | $item,
|  |  | $key = `false`,
|  |  | $convert = `true`
| ) |  |

Composes a text out of the email and name and returns it.

Example: John Doe john@.nosp@m.doe..nosp@m.com or just john@.nosp@m.doe..nosp@m.com

Deprecated:

Definition at line 822 of file ezmail.php.

References convertHeaderText().

Referenced by composeEmailItems(), headers(), and senderText().

## ◆ contentCharset()

eZMail::contentCharset | ( |  | ) |

Returns
  the charset for this email, this is normally taken from the internal charset.

See also
  usedCharset

Deprecated:

Definition at line 316 of file ezmail.php.

Referenced by convertHeaderText(), convertText(), encodeMimeHeader(), and usedCharset().

## ◆ contentDisposition()

eZMail::contentDisposition | ( |  | ) |

Returns
  the content disposition, normally this is inline.

Deprecated:

Definition at line 337 of file ezmail.php.

## ◆ contentString()

static eZMail::contentString | ( |  | $content | ) |
| static

Returns
  the header content as a simple string, will deflate arrays.

See also
  blankNewLines

Deprecated:

Definition at line 807 of file ezmail.php.

Referenced by headerText(), and headerTextList().

## ◆ contentTransferEncoding()

eZMail::contentTransferEncoding | ( |  | ) |

Returns
  the content transfer encoding, normally this is 8bit.

Deprecated:

Definition at line 326 of file ezmail.php.

## ◆ contentType()

eZMail::contentType | ( |  | ) |

Returns
  the content type for this email, this is normally text/plain.

Deprecated:

Definition at line 304 of file ezmail.php.

## ◆ convertHeaderText()

eZMail::convertHeaderText | ( |  | $text | ) |

Calls convertText with $isHeader set to `true`.

Deprecated:

Definition at line 1044 of file ezmail.php.

References contentCharset(), and encodeMimeHeader().

Referenced by composeEmailName(), replyTo(), sender(), senderText(), subject(), and userAgent().

## ◆ convertText()

eZMail::convertText | ( |  | $text,
|  |  | $isHeader = `false`
| ) |  |

Converts the text $text to a suitable output format.

Note
  Header conversion is not supported yet, for now it will only return original text when $isHeader is set to `true`.

Deprecated:

Definition at line 1098 of file ezmail.php.

References contentCharset(), eZTextCodec\instance(), isAllowedCharset(), and outputCharset().

Referenced by body().

## ◆ encodeMimeHeader()

eZMail::encodeMimeHeader | ( |  | $str | ) |

Encodes $str using mb_encode_mimeheader() if it is available, or does base64 encoding of a header if not.

Deprecated:

Definition at line 1060 of file ezmail.php.

References contentCharset(), eZTextCodec\instance(), lineSeparator(), and outputCharset().

Referenced by convertHeaderText().

## ◆ extractEmail()

static eZMail::extractEmail | ( |  | $text,
|  | & | $email,
|  | & | $name
| ) |  |
| static

Extracts email addresses from $text.

Deprecated:

Definition at line 757 of file ezmail.php.

References REGEXP.

Referenced by eZSMTPTransport\sendMail(), setReceiverText(), and setSenderText().

## ◆ extraHeaders()

eZMail::extraHeaders | ( |  | ) |

Return the extra headers

Deprecated:

Definition at line 568 of file ezmail.php.

References $ExtraHeaders.

## ◆ headers()

eZMail::headers | ( |  | $parameters = `array()` | ) |

Returns
  an array with headers, each header item is an associative array with the keys `name` and `content`. `content` will either be a string or an array with strings.

The parameter $parameters contains optional parameters, they can be:

- exclude-headers - `Array` of header names which will not be included in the result array.
  See also
    contentString, blankNewLines
  Deprecated:

Definition at line 870 of file ezmail.php.

References $ExtraHeaders, composeEmailItems(), composeEmailName(), subject(), and usedCharset().

Referenced by headerText(), and headerTextList().

## ◆ headerText()

eZMail::headerText | ( |  | $parameters = `array()` | ) |

Composes a text field out of all the headers and returns it. The parameter $parameters will be passed to the headers() function.

Deprecated:

Definition at line 1020 of file ezmail.php.

References blankNewlines(), contentString(), headers(), and lineSeparator().

Referenced by eZFileTransport\sendMail(), and eZSendmailTransport\sendMail().

## ◆ headerTextList()

eZMail::headerTextList | ( |  | $parameters = `array()` | ) |

Extracts all headers and generates a text string out of it. The parameter $parameters will be passed to the headers() function.

Deprecated:

Definition at line 997 of file ezmail.php.

References blankNewlines(), contentString(), and headers().

## ◆ isAllowedCharset()

eZMail::isAllowedCharset | ( |  | $charset | ) |

Returns
  `true` if the charset $charset is allowed as output charset.

See also
  allowedCharsets.

Deprecated:

Definition at line 1119 of file ezmail.php.

References allowedCharsets(), and eZCharsetInfo\realCharsetCode().

Referenced by convertText(), and usedCharset().

## ◆ lineSeparator()

static eZMail::lineSeparator | ( |  | ) |
| static

Returns the line ending.

Deprecated:

Definition at line 1174 of file ezmail.php.

References eZSys\instance().

Referenced by encodeMimeHeader(), headerText(), and setBody().

## ◆ messageID()

eZMail::messageID | ( |  | ) |

Returns the message ID format : <number@serverID> Read in the RFC's if you want to know more about it..

Deprecated:

Definition at line 624 of file ezmail.php.

References $MessageID.

## ◆ mimeVersion()

eZMail::mimeVersion | ( |  | ) |

Returns
  the MIME version for this email, normally this is 1.0.

Note
  The value is returned as a string.

Deprecated:

Definition at line 293 of file ezmail.php.

References $MIMEVersion.

## ◆ outputCharset()

eZMail::outputCharset | ( |  | ) |

Returns
  the default output charset.

Deprecated:

Definition at line 1162 of file ezmail.php.

Referenced by convertText(), encodeMimeHeader(), and usedCharset().

## ◆ receiverElements()

eZMail::receiverElements | ( |  | ) |

Returns the receiver addresses.

Deprecated:

Definition at line 182 of file ezmail.php.

References $ReceiverElements.

## ◆ receiverEmailText()

eZMail::receiverEmailText | ( |  | $convert = `true` | ) |

Returns the receiver addresses as text with only the email address.

Deprecated:

Definition at line 101 of file ezmail.php.

References composeEmailItems().

Referenced by eZSendmailTransport\sendMail().

## ◆ receiverText()

eZMail::receiverText | ( |  | $convert = `true` | ) |

Returns the receiver addresses as text.

Deprecated:

Definition at line 119 of file ezmail.php.

References composeEmailItems().

## ◆ receiverTextList()

eZMail::receiverTextList | ( |  | $convert = `true` | ) |

Returns the receiver addresses as an array with texts.

Deprecated:

Definition at line 164 of file ezmail.php.

References composeEmailItems().

## ◆ references()

eZMail::references | ( |  | ) |

Returns the messageID that this message is a reply to.

Deprecated:

Definition at line 646 of file ezmail.php.

References $References.

## ◆ replyTo()

eZMail::replyTo | ( |  | $convert = `true` | ) |

Returns the receiver address.

Deprecated:

Definition at line 237 of file ezmail.php.

References $ReplyTo, and convertHeaderText().

## ◆ sender()

eZMail::sender | ( |  | $convert = `true` | ) |

Returns the sender address.

Deprecated:

Definition at line 250 of file ezmail.php.

References $From, and convertHeaderText().

Referenced by eZFileTransport\sendMail(), and eZSendmailTransport\sendMail().

## ◆ senderText()

eZMail::senderText | ( |  | $convert = `true` | ) |

Returns the sender address as text.

Deprecated:

Definition at line 278 of file ezmail.php.

References composeEmailName(), and convertHeaderText().

Referenced by eZSMTPTransport\sendMail().

## ◆ setBccElements()

eZMail::setBccElements | ( |  | $newBcc | ) |

Sets the bcc addresses.

Deprecated:

Definition at line 540 of file ezmail.php.

References usedCharset().

## ◆ setBody()

eZMail::setBody | ( |  | $newBody | ) |

Sets the body.

Deprecated:

Definition at line 704 of file ezmail.php.

References lineSeparator(), and usedCharset().

## ◆ setCcElements()

eZMail::setCcElements | ( |  | $newCc | ) |

Sets the cc addresses.

Deprecated:

Definition at line 512 of file ezmail.php.

References usedCharset().

## ◆ setContentType()

eZMail::setContentType | ( |  | $type = `false`,
|  |  | $charset = `false`,
|  |  | $transferEncoding = `false`,
|  |  | $disposition = `false`,
|  |  | $boundary = `false`
| ) |  |

Sets the various content variables, any parameter which is set to something other than `false` will overwrite the old value.

Deprecated:

Definition at line 374 of file ezmail.php.

Referenced by __construct().

## ◆ setExtraHeader()

eZMail::setExtraHeader | ( |  | $headerName,
|  |  | $headerValue
| ) |  |

Similar to addExtraHeader() but will overwrite existing entries.

Deprecated:

Definition at line 590 of file ezmail.php.

References addExtraHeader().

## ◆ setExtraHeaders()

eZMail::setExtraHeaders | ( |  | $headers | ) |

Sets the extra headers to $headers.

Deprecated:

Definition at line 612 of file ezmail.php.

## ◆ setMessageID()

eZMail::setMessageID | ( |  | $newMessageID | ) |

Sets the message ID. This is a server setting only so BE CAREFUL WITH THIS.

Deprecated:

Definition at line 635 of file ezmail.php.

## ◆ setMIMEVersion()

eZMail::setMIMEVersion | ( |  | $version | ) |

Sets the MIME version to $version.

Deprecated:

Definition at line 362 of file ezmail.php.

## ◆ setReceiver()

eZMail::setReceiver | ( |  | $email,
|  |  | $name = `false`
| ) |  |

Sets the receiver address.

Note
  This will remove all other receivers

See also
  addReceiver, setReceiverElements

Deprecated:

Definition at line 436 of file ezmail.php.

References usedCharset().

## ◆ setReceiverElements()

eZMail::setReceiverElements | ( |  | $toElements | ) |

Sets the receiver addresses.

Deprecated:

Definition at line 418 of file ezmail.php.

References usedCharset().

## ◆ setReceiverText()

eZMail::setReceiverText | ( |  | $text | ) |

Sets the receiver address, the email and name will be extracted from $text.

Note
  This will remove all other receivers

See also
  addReceiver, setReceiverElements

Deprecated:

Definition at line 450 of file ezmail.php.

References extractEmail(), and usedCharset().

## ◆ setReferences()

eZMail::setReferences | ( |  | $newReference | ) |

Sets the messageID that this message is a reply to.

Deprecated:

Definition at line 656 of file ezmail.php.

## ◆ setReplyTo()

eZMail::setReplyTo | ( |  | $email,
|  |  | $name = `false`
| ) |  |

Sets the receiver address.

Deprecated:

Definition at line 475 of file ezmail.php.

References usedCharset().

## ◆ setSender()

eZMail::setSender | ( |  | $email,
|  |  | $name = `false`
| ) |  |

Sets the sender address.

Deprecated:

Definition at line 487 of file ezmail.php.

References usedCharset().

## ◆ setSenderText()

eZMail::setSenderText | ( |  | $text | ) |

Sets the sender address, the email and name will be extracted from $text.

Deprecated:

Definition at line 499 of file ezmail.php.

References extractEmail(), and usedCharset().

Referenced by eZSMTPTransport\sendMail().

## ◆ setSubject()

eZMail::setSubject | ( |  | $newSubject | ) |

Sets the subject of the mail.

Deprecated:

Definition at line 679 of file ezmail.php.

References usedCharset().

## ◆ setUserAgent()

eZMail::setUserAgent | ( |  | $agent | ) |

Sets the user agent for the email to $agent.

Deprecated:

Definition at line 407 of file ezmail.php.

## ◆ splitList()

static& eZMail::splitList | ( |  | $emails | ) |
| static

Splits a list of email addresses into an array where each entry is an email address.

Deprecated:

Definition at line 733 of file ezmail.php.

## ◆ stripEmail()

static eZMail::stripEmail | ( |  | $address | ) |
| static

Static function for extracting an e-mail from text

Returns the first valid e-mail in address, returns false if no e-mail addresses found

Deprecated:

Definition at line 779 of file ezmail.php.

References REGEXP.

## ◆ subject()

eZMail::subject | ( |  | $convert = `true` | ) |

Returns the subject.

Deprecated:

Definition at line 666 of file ezmail.php.

References $Subject, and convertHeaderText().

Referenced by headers(), and eZSendmailTransport\sendMail().

## ◆ usedCharset()

eZMail::usedCharset | ( |  | ) |

Returns
  the charset which will be used for output.

Deprecated:

Definition at line 1149 of file ezmail.php.

References contentCharset(), isAllowedCharset(), and outputCharset().

Referenced by __construct(), addBcc(), addCc(), addReceiver(), headers(), setBccElements(), setBody(), setCcElements(), setReceiver(), setReceiverElements(), setReceiverText(), setReplyTo(), setSender(), setSenderText(), and setSubject().

## ◆ userAgent()

eZMail::userAgent | ( |  | $convert = `true` | ) |

Returns
  the user agent for this email, the user agent is automatically created if not specfied.

Deprecated:

Definition at line 349 of file ezmail.php.

References $UserAgent, and convertHeaderText().

## ◆ validate()

static eZMail::validate | ( |  | $address | ) |
| static

Static function for validating e-mail addresses.

Returns true if successful, false if not.

Deprecated:

Definition at line 747 of file ezmail.php.

References REGEXP.

Referenced by eZUser\_loginUser(), eZSimplifiedXMLInputParser\publishHandlerLink(), eZFileTransport\sendMail(), eZSendmailTransport\sendMail(), eZSMTPTransport\sendMail(), eZEmailType\validateEMailHTTPInput(), eZAuthorType\validateObjectAttributeHTTPInput(), and eZUserType\validateObjectAttributeHTTPInput().

## Member Data Documentation

## ◆ $BccElements

eZMail::$BccElements

Definition at line 1208 of file ezmail.php.

Referenced by bccElements().

## ◆ $BodyText

eZMail::$BodyText

Definition at line 1213 of file ezmail.php.

Referenced by body().

## ◆ $CcElements

eZMail::$CcElements

Definition at line 1207 of file ezmail.php.

Referenced by ccElements().

## ◆ $ContentType

eZMail::$ContentType

Definition at line 1209 of file ezmail.php.

## ◆ $ExtraHeaders

eZMail::$ExtraHeaders

Definition at line 1214 of file ezmail.php.

Referenced by extraHeaders(), and headers().

## ◆ $From

eZMail::$From

Definition at line 1206 of file ezmail.php.

Referenced by sender().

## ◆ $Mail

eZMail::$Mail

Definition at line 1227 of file ezmail.php.

## ◆ $MessageID

eZMail::$MessageID

Definition at line 1216 of file ezmail.php.

Referenced by messageID().

## ◆ $MIMEVersion

eZMail::$MIMEVersion

Definition at line 1217 of file ezmail.php.

Referenced by mimeVersion().

## ◆ $ReceiverElements

eZMail::$ReceiverElements

Definition at line 1205 of file ezmail.php.

Referenced by receiverElements().

## ◆ $References

eZMail::$References

Definition at line 61 of file ezmail.php.

Referenced by references().

## ◆ $ReplyTo

eZMail::$ReplyTo

Definition at line 1211 of file ezmail.php.

Referenced by replyTo().

## ◆ $Subject

eZMail::$Subject

Definition at line 1212 of file ezmail.php.

Referenced by subject().

## ◆ $TextCodec

eZMail::$TextCodec

Definition at line 1215 of file ezmail.php.

## ◆ $UserAgent

eZMail::$UserAgent

Definition at line 1210 of file ezmail.php.

Referenced by userAgent().

## ◆ REGEXP

const eZMail::REGEXP = '(((\"[^\"\f\n\r\t\v\b]+\")|([A-Za-z0-9_\!\#\$\%\&\'\*\+\-\~\/\^\`\|\{\}]+(\.[A-Za-z0-9_\!\#\$\%\&\'\*\+\-\~\/\^\`\|\{\}]+)*))@((\[(((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9])))\])|(((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9]))\.((25[0-5])|(2[0-4][0-9])|([0-1]?[0-9]?[0-9])))|((([A-Za-z0-9\-])+\.)+[A-Za-z\-]{2,})))'

Definition at line 62 of file ezmail.php.

Referenced by extractEmail(), stripEmail(), and validate().

The documentation for this class was generated from the following file:

- ezmail.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.